## STANDARD RULES - DO NOT CHANGE THE FOLLOWING

#loop to include all api's this component dependes on
$(COMP_NAME)_DEPEND_ON_APIS_PATHS:=
$(COMP_NAME)_DEPEND_ON_APIS_PATHS+= $(foreach API_INCL,$(addsuffix _API_INCL_PATH,$($(COMP_NAME)_DEPEND_ON_APIS)),$($(API_INCL)))

#loop to include all objects this component uses
$(COMP_NAME)_USE_OBJS:=
$(COMP_NAME)_USE_OBJS+= $(foreach USE_OBJ_ID,$($(COMP_NAME)_USE_OBJ_IDS),$($(addsuffix _OBJS,$(USE_OBJ_ID))))

#the entire include paths for this component
$(COMP_NAME)_INCL_PATHS := \
	$($(COMP_NAME)_DEPEND_ON_APIS_PATHS) \
	$($(COMP_NAME)_API_INCL_PATH) \
	$($(COMP_NAME)_INTERNAL_INCL_PATH)

#Standard names (INCL,CCFLAGS,OBJS) will be overriden in every makefile, depends on the $(COMP_NAME) variables
#adding CCFLAG_INCLUDE_DIR(or simply -I) to the include paths
INCL := $(addprefix $(CCFLAG_INCLUDE_DIR),$($(COMP_NAME)_INCL_PATHS) )

CCFLAGS := $(GEN_CCFLAGS) $($(COMP_NAME)_SPECIFIC_CCFLAGS) $($(COMP_NAME)_CCFLAGS) $(INCL)

$(COMP_NAME)_OBJS := $(addprefix $(OUT_OBJ_PATH), $(addsuffix .$(OBJEXT),$($(COMP_NAME)_OBJ_NAMES)) )
$(COMP_NAME)_MAIN_OBJS := $(addprefix $(OUT_OBJ_PATH), $(addsuffix .$(OBJEXT),$($(COMP_NAME)_MAIN_OBJ_NAMES)) )

OBJS := $($(COMP_NAME)_OBJS) $($(COMP_NAME)_MAIN_OBJS) 

$(COMP_NAME)_OBJECTS_TARGET: $(OBJS) 
	

$(COMP_NAME)_CC_CMD := $(CC) $(CCFLAGS)